Skip to main content
Organization and Account

Get Organization

Get information of a specified organization.

Prerequisites

You have obtained the AccessKey of an Alibaba Cloud account or a RAM user, and the identity has been granted the RAM permissions required to call this operation. We recommend that you set the AccessKey as the environment variables ALIBABA_CLOUD_ACCESS_KEY_ID and ALIBABA_CLOUD_ACCESS_KEY_SECRET instead of hard-coding it.

Request description

  • HTTP method:GET
  • Request URL

    Region

    Endpoint

    Singapore

    GET https://modelstudio.ap-southeast-1.aliyuncs.com/tokenplan/organization

  • Authentication This operation is an Alibaba Cloud OpenAPI operation that uses AccessKey-based signatures (the ACS3-HMAC-SHA256 algorithm). The Authorization: Bearer {API_KEY} scheme is not supported. A request must carry the common headers x-acs-action: GetOrganization, x-acs-version: 2026-02-10, x-acs-date, x-acs-content-sha256, x-acs-signature-nonce, and Authorization. We recommend that you call this operation with an Alibaba Cloud SDK or OpenAPI Explorer so that you do not have to calculate the signature yourself.
Get information of a specified organization by OrgId.

Request parameters

This API has no request parameters.

Response parameters

Parameter

Type

Description

Success

boolean

Whether the API call was successful:
true: success
false: failure

Code

string

Response status code.

Message

string

Response message.

Data

object

Business data.

OrgId

string

Organization ID.

NamespaceId

string

Product namespace ID.

Name

string

Organization name.

Description

string

Organization description.

Status

string

Status (ACTIVE/FROZEN).

OwnerId

string

Organization owner's UAC account ID.

OwnerBizAccountId

string

Organization owner's business account identifier (ALIYUN type: aliyunUid, SSO type: userIdentifier).

GmtCreate

string

Creation time.

GmtModified

string

Modification time.

HttpStatusCode

integer

HTTP status code.

RequestId

string

Unique request ID.

Request example

This operation uses Alibaba Cloud OpenAPI signatures. In the following example, ${SIGNATURE} must be calculated with the ACS3-HMAC-SHA256 algorithm, and x-acs-date and x-acs-signature-nonce must be replaced with actual values.
curl -X GET "https://modelstudio.ap-southeast-1.aliyuncs.com/tokenplan/organization" \
    --header "x-acs-action: GetOrganization" \
    --header "x-acs-version: 2026-02-10" \
    --header "x-acs-date: 2026-01-01T12:00:00Z" \
    --header "x-acs-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855" \
    --header "x-acs-signature-nonce: 3e3b2a9f0c7d4f8e9a1b2c3d4e5f6a7b" \
    --header "Authorization: ACS3-HMAC-SHA256 Credential=${ALIBABA_CLOUD_ACCESS_KEY_ID},SignedHeaders=host;x-acs-action;x-acs-content-sha256;x-acs-date;x-acs-signature-nonce;x-acs-version,Signature=${SIGNATURE}"

Response example

{
  "Success": true,
  "Data": {
    "OrgId": "org_123456789",
    "NamespaceId": "namespace-1",
    "Name": "组织名称",
    "Description": "组织描述",
    "Status": "ACTIVE",
    "OwnerId": "acc_123456789",
    "OwnerBizAccountId": "1543686331379464",
    "GmtCreate": "2025-11-20T02:26:35Z",
    "GmtModified": "2025-11-13T02:11:56Z"
  }
}

Error codes

If the call fails, an error message is returned. For more error codes and solutions, see Error codes.
Text Generation
Image Generation
  • FAQ
Video Generation
World models
Audio
  • Audio generation
Realtime API
Text Embedding
TokenPlan
Model Production